View Issue Details

IDProjectCategoryView StatusLast Update
0033902LazarusIDEpublic2018-09-02 00:09
ReporterThomas Mueller Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSUbuntu 
Product Version1.8.4 
Summary0033902: It is not possible to replace a path if the new path differs only in character case
DescriptionIf I want to change a given directory in the search path in the "Path Editor" dialog (called from Project -> Project Options -> Compiler Options -> Paths -> Other Unit Files -> ..-Button) it is not possible to replace it when the only difference is the character case, e.g.:

The typo in ...

$ENV(HOMe)/bla/blub

... cannot be corrected to ...

$ENV(HOME)/bla/blub

... without intermediate step like ...

$ENV(HOMEe)/bla/blub
Steps To Reproduce* create a new project and save it
* Open Project -> Project Options -> Compiler Options -> Paths -> Other Unit Files -> ..-Button
* enter "$ENV(HOMe)/bla/blub", notice the typo: HOME must be all upper case in Linux
* click on the new entry and correct it to "$ENV(HOME)/bla/blub"
* Try to replace the entry -> The "Replace"-Button is disabled.
Additional InformationI realize that this is a border case and that the comparison is meant to be case insensitive, but I see no reason why changing the case of a character should not be a valid change to an entry.
TagsNo tags attached.
Fixed in Revisionr58815
LazTarget-
Widgetset
Attached Files

Activities

Juha Manninen

2018-09-02 00:09

developer   ~0110456

Yes, the TStrings.IndexOf function is not case sensitive. I used another function.
Fixed, please test.

Issue History

Date Modified Username Field Change
2018-06-24 15:30 Thomas Mueller New Issue
2018-09-01 18:09 Juha Manninen Assigned To => Juha Manninen
2018-09-01 18:09 Juha Manninen Status new => assigned
2018-09-02 00:09 Juha Manninen Fixed in Revision => r58815
2018-09-02 00:09 Juha Manninen LazTarget => -
2018-09-02 00:09 Juha Manninen Note Added: 0110456
2018-09-02 00:09 Juha Manninen Status assigned => resolved
2018-09-02 00:09 Juha Manninen Resolution open => fixed